package com.duiba.tuia.youtui.web.model.rsp;

public class GameRsp {

    private boolean success;

    private long balance;

    private int reward;

    public boolean getSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static GameRsp getFalse(long balance,int reward) {
        GameRsp gameRsp = new GameRsp();
        gameRsp.setSuccess(false);
        gameRsp.setBalance(balance);
        gameRsp.setReward(reward);
        return gameRsp;
    }

    public long getBalance() {
        return balance;
    }

    public void setBalance(long balance) {
        this.balance = balance;
    }

    public int getReward() {
        return reward;
    }

    public void setReward(int reward) {
        this.reward = reward;
    }

    public static GameRsp getTrue(long balance) {
        GameRsp gameRsp = new GameRsp();
        gameRsp.setSuccess(true);
        gameRsp.setBalance(balance);
        return gameRsp;
    }
}
